Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Nvidia drivers with Tumbleweed

  1. #1

    Default Nvidia drivers with Tumbleweed

    Hello everyone!


    I'd like to add my question here concerning NVIDIA drivers and tumbleweed.
    I read the post which warned not to use tumbleweed and NVIDIA original drivers together.
    Well, we've got a lot of old x86 Computers at work which have been running MX Linux lately, which I am fed up with. I'd like to continue using the machines, so I had to install Opensuse Tumbleweed (2 days ago), because I don't really have a choice, do I? From Leap onwards, there is no x86 version of Opensuse, but there is a tumbleweed one, so I have to use it.


    So, I installed the driver, first in an rpm version from the 13.2 repos, but after the compiling process of the driver module, it said "error, the nvidia.ko driver was not created" among a lot of other text which roughly suggested that the kernel and the driver were not compatible. Then I uninstalled that, got the latest .run version from the NVIDIA website, and installed that, but it basically said the same.
    Trying to start the machine anyway got me into some trouble and had to chroot into the machine to uninstall it again. Bloody hell.
    Now I'm sitting here and I don't know how to install it.


    I have read https://news.opensuse.org/2017/09/20...-nvidia-users/ announcing a repository for tumbleweed, but it won't work, because it is an OLD card, and supports only the legacy driver G01. In the rpos it has only the G04 drivers.


    Now, I would say, "to hell with it, use the nouveau driver and xrender", which does work, but it won't play videos at all. The sound works, but the pictures don't change. I've tried all the video drivers in the list of smplayer and vlc. None work. But we MUST play videos in order to use the machines correctly.


    Is there a way out of this?


    As I said: they are x86 desktop computers, the video card is a Nvidia GeForce FX 5200 card.
    Maybe the easiest solution is to find a way to use glx with nouveau. But I don't know how. Please tell me the easiest way to get it working (without buying new stuff, it's 5 computers!)


    Can somebody please help me?


    Thanks


    Cellocommander

  2. #2

    Default Re: Nvidia drivers with Tumbleweed

    Hi, it's me again,


    I'd like to add the info from the Nvidia website about which version of the driver is supported by my Video card:


    It says:


    Legacy releases for GeForce 5 series GPUs (*)
    Current official release: 173.14.39 (x86 / x86_64)


    look here:
    https://devtalk.nvidia.com/default/t...iver-releases/

  3. #3
    Join Date
    Oct 2014
    Location
    Italy
    Posts
    2,238

    Default Re: Nvidia drivers with Tumbleweed

    Of course a package from the 13.2 repo is NOT going to work on current Tumbleweed.
    Assuming that your computers are desktops equipped with Nvidia (old) cards, you should be able to install the G01 driver "the hard way" following this guide https://en.opensuse.org/SDB:NVIDIA_the_hard_way (not so hard really...)
    If your machines are laptops with "Optimus" architectures you should install Bumblebee instead.

    If you already did that and met with problems, please be more specific about what you did or didn't, we cannot browse over your shoulder ;-)
    Tumbleweed Gnome on i7 4720HQ + Geforce GTX960M
    testing Leap 15.3

  4. #4

    Default Re: Nvidia drivers with Tumbleweed

    Hi, thanks a lot for your reply!

    I've tried that, but without success. The building of the driver does fail.

    Please take a look at the nvidia-installer.log here:

    https://pastebin.com/w8KsWHvH



    (no bumblebee, only one graphics card, the nvidia)

    Thanks for the help! Much appreciated!

    Cellocmmander

  5. #5
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,336
    Blog Entries
    15

    Default Re: Nvidia drivers with Tumbleweed

    Quote Originally Posted by Cellocommander View Post
    Hi, thanks a lot for your reply!

    I've tried that, but without success. The building of the driver does fail.

    Please take a look at the nvidia-installer.log here:

    https://pastebin.com/w8KsWHvH



    (no bumblebee, only one graphics card, the nvidia)

    Thanks for the help! Much appreciated!

    Cellocmmander
    Hi
    The only way (probably unlikely) is to head off to the Nvidia forum and someone may have some patches... replace the cards with intel ones....

    Even then it's unlikely to work... too many changes, even my GT8800 card it no longer supported (x86_64 & 340.104) in Tumbleweed without patching and building the hardway....
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  6. #6
    Join Date
    Oct 2014
    Location
    Italy
    Posts
    2,238

    Default Re: Nvidia drivers with Tumbleweed

    Apparently the 173.14.39 driver has not been updated since Dec. 2013, so it is highly unlikely that it will build with a 4.13.x kernel even with some patches and unfortunately the 304.x driver doesn't support your card.
    Maybe other members with greater experience with old HW might help you further, but unfortunately my knowledge stops here.
    Good Luck.
    Tumbleweed Gnome on i7 4720HQ + Geforce GTX960M
    testing Leap 15.3

  7. #7

    Default AW: Nvidia drivers with Tumbleweed, what about nouveau with GLX?

    Hello everyone!

    Thanks a lot for the kind help, even if without success so far !!

    I have tried a few times more, but no luck.
    So, I will have to say googbye to nvidia.

    BUT is there a way of using GLX with the nouveau driver, as I suggested earlier? Does anyone know how to do that?
    Searching the web I found posts suggesting it was possible by loading the modules dri and glx in /etc/X11/modprobe.conf (which is deprecated, I thought)

    But I don't have a working version of that file here. Mine was "shredded" in some installation process (even old ones, I've checked all of them through), and I don't see a realistic way of writing it on my own. I tried, however, but it ended up in not loading up X at all, as long as I had it set, so I renamed it again, and haven't touched it since.

    Is there a modern way of telling X / nouveau to use GLX and dri extensions?

    Cheers to all the helpers around,

    Cellocommander

  8. #8
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,336
    Blog Entries
    15

    Default Re: Nvidia drivers with Tumbleweed

    Hi
    Is Mesa-dri-nouveau installed?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  9. #9

    Default AW: Nvidia drivers with Tumbleweed

    No, should it?

  10. #10
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,336
    Blog Entries
    15

    Default Re: AW: Nvidia drivers with Tumbleweed

    Quote Originally Posted by Cellocommander View Post
    No, should it?
    Hi
    Well from the info;
    Code:
    This package contains nouveau_dri.so, which is necessary for
    Nouveau's 3D acceleration to work. It is packaged separately
    since it is still experimental.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •